bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#19424: 23.4; incorrect byte-compiler warning for `mode-line-format'


From: Lars Ingebrigtsen
Subject: bug#19424: 23.4; incorrect byte-compiler warning for `mode-line-format'
Date: Sat, 30 Apr 2016 18:31:18 +0200
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)

Drew Adams <address@hidden> writes:

> This is the warning:
>
>     Warning: `default-mode-line-format' is an obsolete variable
>     (as of Emacs 23.2); use `mode-line-format' instead.
>
> That is incorrect and useless.  Clearly, you cannot use
> `mode-line-format' in place of `default-mode-line-format'.
>
> The warning should instead say something like this, based on the doc
> string:
>
>     Warning: `default-mode-line-format' is an obsolete variable
>     (as of Emacs 23.2); use `(default-value 'mode-line-format)' instead.

Now fixed.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





reply via email to

[Prev in Thread] Current Thread [Next in Thread]